"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.messages = exports.ruleName = undefined;

exports.default = function (actual, options) {
  return function (root, result) {
    var validOptions = (0, _utils.validateOptions)(result, ruleName, { actual: actual }, {
      actual: options,
      possible: {
        ignoreProperties: [_lodash.isString]
      },
      optional: true
    });

    if (!validOptions) {
      return;
    }

    root.walkDecls(function (node) {
      var prop = node.prop;


      if (!(0, _utils.isStandardSyntaxProperty)(prop)) {
        return;
      }
      if ((0, _utils.isCustomProperty)(prop)) {
        return;
      }

      var ignoreProperties = options && options.ignoreProperties || [];
      if ((0, _lodash.isArray)(ignoreProperties) && ignoreProperties.indexOf(prop.toLowerCase()) !== -1) {
        return;
      }

      if (_knownCssProperties.all.indexOf(prop.toLowerCase()) !== -1) {
        return;
      }

      (0, _utils.report)({
        message: messages.rejected(node.prop),
        node: node,
        result: result,
        ruleName: ruleName
      });
    });
  };
};

var _lodash = require("lodash");

var _utils = require("../../utils");

var _knownCssProperties = require("known-css-properties");

var ruleName = exports.ruleName = "property-no-unknown";

var messages = exports.messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(property) {
    return "Unexpected unknown property \"" + property + "\"";
  }
});