"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = optionsHaveIgnoredProperty;

var _matchesStringOrRegExp = require("./matchesStringOrRegExp");

var _matchesStringOrRegExp2 = _interopRequireDefault(_matchesStringOrRegExp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Check if an options object contains a certain `ignoreProperties` keyword.
 * It will look for an `ignoreProperties` property whose value should
 * be an array of keywords.
 *
 * @param {object} options
 * @param {string} propertyName
 * @return {boolean}
 */
function optionsHaveIgnoredProperty(options, propertyName) {
  return !!(options && options.ignoreProperties && (0, _matchesStringOrRegExp2.default)(propertyName, options.ignoreProperties));
}